#
# Conditional build:
%bcond_without	tests	# Do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	Crypt
%define		pnam	CapnMidNite
Summary:	Crypt::CapnMidNite - Perl interface to MD5, RC4 encrypt/decrypt
Summary(pl.UTF-8):	Crypt::CapnMidNite - interfejs perlowy do szyfrowania/odszyfrowywania MD5, RC4
Name:		perl-Crypt-CapnMidNite
Version:	1.00
Release:	5
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
#Source0:	http://www.cpan.org/modules/by-module/Crypt/%{pdir}-%{pnam}-%{version}.tar.gz
Source0:	http://www.cpan.org/modules/by-authors/id/M/MI/MIKER/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	1931454ee2b6e28cf5f750ad283dd282
URL:		http://search.cpan.org/dist/Crypt-CapnMidNite/
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	perl-perldoc
BuildRequires:	rpm-perlprov >= 4.1-13
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
The Crypt::CapnMidNite module allows you to use the RSA Data Security
Inc. MD5 Message Digest algorithm, RC4 stream crypt function and a
modified, not readily reversible RC4 based stream crypt from within
Perl programs.

%description -l pl.UTF-8
Moduł Crypt::CapnMidNite pozwala na używanie algorytmów RSA Data
Security Inc. takich jak algorytmu skrótu MD5, strumieniowej funkcji
szyfrującej RC4 oraz zmodyfikowanej, nie od razu odwracalnej wersji
strumieniowej funkcji szyfrującej opartej na RC4.

%package -n perl-Crypt-C_LockTite
Summary:	Crypt::C_LockTite - Perl interface to MD5, RC4 encrypt/decrypt
Summary(pl.UTF-8):	Crypt::C_LockTite - perlowy interfesj do szyfrowania/odszyfrowywania MD5, RC4
Group:		Development/Languages/Perl

%description -n perl-Crypt-C_LockTite
The Crypt::C_LockTite module allows you to use the RSA Data Security
Inc. MD5 Message Digest algorithm, RC4 stream crypt function and a
modified, not readily reversible RC4 based stream crypt from within
Perl programs.

This module contains proprietary version of "encode" function,
modified from one that comes in Crypt::CapnMidNite module.

%description -n perl-Crypt-C_LockTite -l pl.UTF-8
Moduł Crypt::C_LockTite pozwala na używanie algorytmów RSA Data
Security Inc. takich jak algorytmu skrótu MD5, strumieniowej funkcji
szyfrującej RC4 oraz zmodyfikowanej, nie od razu odwracalnej wersji
strumieniowej funkcji szyfrującej opartej na RC4.

Ten moduł zawiera własną wersję funkcji "encode", zmodyfikowaną w
stosunku do zawartej w module Crypt::CapnMidNite.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor

cp -f name name.CapnMidNite
mv -f Makefile Makefile.CapnMidNite
%{__perl} -pi -e 's/NAME = \(1\)/NAME = (0)/' Makefile.PL

%{__perl} Makefile.PL \
	INSTALLDIRS=vendor

mv -f name name.C_LockTite
mv -f name.CapnMidNite name

%{__make} -f Makefile.CapnMidNite \
	OPTIMIZE="%{rpmcflags}"

%{?with_tests:%{__make} test -f Makefile.CapnMidNite}

mv -f blib blib.CapnMidNite
rm -f pm_to_blib
mv -f name.C_LockTite name

%{__make} \
	CC="%{__cc}" \
	OPTIMIZE="%{rpmcflags}"

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

rm -rf blib
mv -f blib.CapnMidNite blib

%{__make} install -f Makefile.CapnMidNite \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes README
%{perl_vendorarch}/Crypt/CapnMidNite.pm
%dir %{perl_vendorarch}/auto/Crypt/CapnMidNite
%{perl_vendorarch}/auto/Crypt/CapnMidNite/CapnMidNite.bs
%attr(755,root,root) %{perl_vendorarch}/auto/Crypt/CapnMidNite/CapnMidNite.so
%{_mandir}/man3/Crypt::CapnMidNite*

%files -n perl-Crypt-C_LockTite
%defattr(644,root,root,755)
%doc Changes README
%{perl_vendorarch}/Crypt/C_LockTite.pm
%dir %{perl_vendorarch}/auto/Crypt/C_LockTite
%{perl_vendorarch}/auto/Crypt/C_LockTite/C_LockTite.bs
%attr(755,root,root) %{perl_vendorarch}/auto/Crypt/C_LockTite/C_LockTite.so
%{_mandir}/man3/Crypt::C_LockTite*
%changelog
* Sat Jun 08 2013 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/perl-Crypt-CapnMidNite.git;a=log;h=master

* Sat Jun 08 2013 Jan Rękorajski <baggins@pld-linux.org> 761388a
- rebuild with perl 5.18.0
- release 5 (by relup.sh)

* Sun Jun 06 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> 7637bf3
- BR: perl-perldoc as build process looks into perldiag.pod.

* Sun Jun 06 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> cb663d3
- release 4

* Sun Jun 06 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> dfa7685
- release 3

* Sat Mar 15 2008 Jakub Bogusz <qboosh@pld-linux.org> 85238de
- generic URL

* Sun Feb 10 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> 5e6835b
- rel 2

* Thu Jan 10 2008 Elan Ruusamäe <glen@pld-linux.org> 2086455
- add CC to %{__make}
  grep OPTIMIZE= perl-* -l|xargs grep -c CC=|grep :0|cut -d: -f1|xargs sed -i -e '/%{__make} \\$/a\\tCC="%{__cc}" \\'

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> 067f978
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> 8ad0aec
- converted to UTF-8

* Wed Nov 03 2004 paladine <paladine@pld-linux.org> f1d0526
- formatting

* Thu May 06 2004 ankry <ankry@pld-linux.org> 71645a1
- fixed perl-devel BR

* Wed May 05 2004 ankry <ankry@pld-linux.org> d99ce3f
- cosmetics

* Tue Apr 20 2004 ankry <ankry@pld-linux.org> 7d9f0d8
- new bcond fixes

* Tue Apr 20 2004 ankry <ankry@pld-linux.org> 8e21f24
- new bconds

* Mon Apr 19 2004 ankry <ankry@pld-linux.org> 4a0aafc
- license fixes and unification

* Wed Jun 18 2003 Jakub Bogusz <qboosh@pld-linux.org> cccf634
- new

